Download it now!
Bug 86086 - MENUS: Creation of a Format > Numbers submenu
Summary: MENUS: Creation of a Format > Numbers submenu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-11-10 03:09 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-11-18 15:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-10 03:09:47 UTC
Presently in Calc, there isnt an easy means of changing the number format of a cell without opening the format cell dialog, so it would be useful to include the default list of number formats in the Format menu bar.
Comment 1 Cor Nouws 2014-11-10 10:43:29 UTC
Hi Jay,

(In reply to Jay Philips from comment #0)
> Presently in Calc, there isnt an easy means of changing the number format of
> a cell without opening the format cell dialog, 

I see buttons "Number format: Currency" and "Number format: Percent"

> so it would be useful to
> include the default list of number formats in the Format menu bar.

Still, could be improved..
Comment 2 Yousuf Philips (jay) (retired) 2014-11-10 16:50:14 UTC
Hi Cor,

(In reply to Cor Nouws from comment #1)
> I see buttons "Number format: Currency" and "Number format: Percent"

Yes i meant access to all the various numbering options. :D
Comment 3 Cor Nouws 2014-11-10 19:40:57 UTC
yeah yeah :) So remove the current buttons and create one drop-down?
(When all buttons are drop-downs, we end up with a second menu bar ;P )
Comment 4 Cor Nouws 2014-11-10 19:41:21 UTC
But serious: I see no objection to the idea
Comment 5 Yousuf Philips (jay) (retired) 2014-11-10 23:58:49 UTC
(In reply to Cor Nouws from comment #3)
> yeah yeah :) So remove the current buttons and create one drop-down?
> (When all buttons are drop-downs, we end up with a second menu bar ;P )

Yes it was my intent to file that as well. ;D
Comment 6 Yousuf Philips (jay) (retired) 2014-11-11 18:19:54 UTC
Put in a patch - https://gerrit.libreoffice.org/#/c/12367/
Comment 7 Commit Notification 2014-11-18 09:36:26 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ec607fbb2bc98924126a0098fbef88c87305ddf

fdo#86086 addition of number format submenu and simplifying items

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.